package adaption;

public class SolverSolution{
	
	private String solverName;
	private String problemName;
	private double time;
	
	public SolverSolution(String solverName, double time, String problemName){
		this.solverName = solverName;
		this.problemName = problemName;
		this.time = time;
	}
	
	public String getSolverName(){
		return solverName;
	}
	
	public String getProblemName(){
		return problemName;
	}
	
	public double getTime(){
		return time;
	}
	
	public boolean equals(SolverSolution otherSolution){
		if(!otherSolution.getSolverName().equals(this.solverName)){
			return false;
		}else if(!otherSolution.getProblemName().equals(this.problemName)){
			return false;
		}else if(otherSolution.getTime()!= this.time){
			return false;
		}
		return true;
	}
	

}
