package adaption;

import java.util.HashMap;
import java.util.List;

import cases.Case;

/**
 * Hacked adaptation agent that just splits the time equally
 * 
 * @author cnugent2
 *
 */


public class ThreeWaySplitAdaptation extends AdaptationAgent{

	public static int TOTAL_TIME = 1800;
	public static String[] solverNames = {"choco", "abscon", "mistral"};
	public int time;
	
	public ThreeWaySplitAdaptation(){
		
	}
	@Override
	public SolverSolution adaptCases(List<Case> theCases, HashMap<Case, Double> similarities, Case query){
		int time = TOTAL_TIME/solverNames.length;
		HashMap<String, Integer> times = new HashMap<String, Integer>();
		for(int x=0;x<solverNames.length;x++){
			times.put(solverNames[x], time);
		}
		
		return new SolverScheduleSolution(times);
	}

}
