package features;

import similarity.SimilarityMeasure;

public class FeatureStructure{
	
	/**
	 * 
	 */
	private String featureName;
	
	/**
	 * 
	 */
	private boolean discriminant;
	
	
	private double weight;
	
	/**
	 * 
	 */
	private SimilarityMeasure similarityMeasure;
	/**
	 * 
	 * @param featureName
	 * @param discriminant
	 * @param manditory
	 */
	
	
	public FeatureStructure(String featureName, boolean discriminant, SimilarityMeasure similarityMeasure, double weight){
		this.featureName = featureName;
		this.discriminant = discriminant;
		this.similarityMeasure = similarityMeasure;
		this.weight = weight;
		
	}
	
	public FeatureStructure(String featureName, boolean discriminant, SimilarityMeasure similarityMeasure){
		this(featureName, discriminant,similarityMeasure, 1.0);
	}

	/**
	 * 
	 * @return
	 */
	public String getFeatureName(){
		return featureName;
	}
	

	/**
	 * 
	 * @return
	 */
	public boolean isDiscriminant(){
		return discriminant;
	}

	
	public SimilarityMeasure getSimilarityMeasure(){
		return similarityMeasure;
	}
	
	public double getWeight(){
		return weight;
	}
	/**
	 * need to update it
	 */
	public Object clone(){
		return new FeatureStructure(this.getFeatureName(), discriminant, similarityMeasure, weight);
	}
}
