package solver_execution;

import java.util.HashMap;

public class SolverRunningInformation {
	
	private HashMap<String, String> commands;
	
	private String path;
	
	public SolverRunningInformation(String path){
		this.path = path+"/cpHydra_k_10/solver/";
		commands = new HashMap<String, String>();
		commands.put("abscon", this.path+"abscon");
		commands.put("mistral", this.path+"mistral");
		commands.put("choco", this.path+"choco");
	}
	
	public String getCommand(String solver){
		String command;
		command = commands.get(solver);
		if(command == null)
			System.err.println("c Problem is on " + solver);
		return command;
	}

}
