package features;

/**
 * Thrown to indicate that the value being passed into a <code>Feature</code> method was invalid.
 */
public class BadFeatureValueException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -943884015248241075L;
	/**
	 * Constructs a <code>BadFeatureValueException</code>.
	 */
	public BadFeatureValueException() {
		super();
	}
	/**
	 * Constructs a <code>BadFeatureValueException</code> with the specified detail message.
	 * @param message the detail message.
	 */
	public BadFeatureValueException(String message) {
		super(message);
	}
}