package program_entry;

import adaption.AdaptToSchedule;
import adaption.SolverScheduleSolution;
import cases.CaseBasedReasoner;
import cases.Casebase;
import parsers.Parser;
import solver_execution.SolverManager;
public class Solver {
	
	public static void main(String[] args){
		Casebase cb = Parser.parseNamedFile(args[2] + "/cpHydra_k_10/named_casebase");
//		Casebase cb = Parser.parseNamedFile("/home/edom/casebase2006");
		CaseBasedReasoner reasoner = new CaseBasedReasoner(
				new AdaptToSchedule(), 10, true);
		reasoner.buildReasoner(cb);
//		int random = (int)(Math.random()*cb.size());
//		int random = 410s1;
//		System.err.println("c " + cb.getCase(random).getCaseID());
//		reasoner.classify(cb.getCase(random));//Parser.parseFile(args[1]).getCase(0));
		new SolverManager(args[2]).run(
				(SolverScheduleSolution)
				reasoner.classify(
						Parser.parseFile(args[1]).getCase(0)), args[0]);
	}
}
